%define lang_name  python
%define lib_prefix django
%define lib_name   dajax

Name:          %{lang_name}-%{lib_prefix}-%{lib_name}
Version:       0.8.4
Release:       1%{?dist}
Summary:       Library to create asynchronous presentation logic with Django and dajaxice

Group:         Development/Libraries
License:       BSD with advertising
URL:           http://www.dajaxproject.com/
Source0:       http://cloud.github.com/downloads/jorgebastida/%{lib_prefix}-%{lib_name}/%{lib_prefix}-%{lib_name}-%{version}.tar.gz
Source1:       python-django-dajax.conf

BuildArch:     noarch
BuildRequires: python2-devel
Requires:      python-django-dajaxice >= 0.1.2

%define lib_datadir       %{_datadir}/%{name}
%define lib_jsdir         %{lib_datadir}/js
%define lib_httpdconfddir %{_sysconfdir}/httpd/conf.d

%description
dajax is a powerful tool to easily and super-quickly develop asynchronous
presentation logic in web applications using python and almost no JS code.

It supports up to four of the most popular JS frameworks: Prototype, jQuery,
Dojo and mootols.

%prep
%setup -q -n %{lib_prefix}-%{lib_name}-%{version}


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root=$RPM_BUILD_ROOT

# remove empty source files and bytecompiled files
for src_file in $(find $RPM_BUILD_ROOT -type f -size 0 -name "*.py")
do
    rm ${src_file}{,c,o}
done

# remove remaining empty files
find $RPM_BUILD_ROOT -type f -size 0 -delete

# add prefix "python-" to library data dir
mv $RPM_BUILD_ROOT%{_datadir}/%{lib_prefix}-%{lib_name} ${RPM_BUILD_ROOT}%{lib_datadir}

# move javascript files to js dir
mkdir -p $RPM_BUILD_ROOT%{lib_jsdir}
mv $RPM_BUILD_ROOT%{lib_datadir}/*.js $RPM_BUILD_ROOT%{lib_jsdir}/

# install django-dajax httpd conf
mkdir -p $RPM_BUILD_ROOT%{lib_httpdconfddir}
install -p -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{lib_httpdconfddir}/

# rename egg info -> add prefix "python_"
for egg in $(find $RPM_BUILD_ROOT%{python_sitelib}/ -name "%{lib_prefix}_%{lib_name}-%{version}-py?.?.egg-info")
do
    mv $RPM_BUILD_ROOT%{python_sitelib}/{,%{lang_name}_}$(basename ${egg})
done


%clean
rm -rf $RPM_BUILD_ROOT


%files
%doc CHANGELOG COPYING README 
%{python_sitelib}/%{lib_name}
%{python_sitelib}/%{lang_name}_%{lib_prefix}_%{lib_name}-%{version}-py?.?.egg-info
%{lib_datadir}
%config(noreplace) %{lib_httpdconfddir}/%{lang_name}-%{lib_prefix}-%{lib_name}.conf


%changelog
* Mon May 07 2012 Jakub Filak <jfilak@redhat.com> - 0.8.4-1
- Initial packaging
